curl --location --request POST 'https://api.stateset.com/v1/inventory_items/:id/transfer' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"inventory_item_id": "inv_abc123",
"quantity": 50,
"from_warehouse_id": "wh_east_01",
"from_location_id": "loc_a1_shelf_3",
"to_warehouse_id": "wh_west_01",
"to_location_id": "loc_b2_shelf_1",
"transfer_reason": "rebalancing",
"priority": "standard",
"expected_arrival": "2024-01-20"
}'
mutation inventoryTransferMutation {
inventoryTransfer(
inventoryItemId: "${inventoryItemId}",
quantity: ${quantity},
fromWarehouseId: "${fromWarehouseId}",
fromLocationId: "${fromLocationId}",
toWarehouseId: "${toWarehouseId}",
toLocationId: "${toLocationId}",
transferReason: "${transferReason}",
priority: "${priority}",
expectedArrival: "${expectedArrival}"
) {
transfer {
id
transfer_number
quantity
status
from_warehouse {
id
name
}
to_warehouse {
id
name
}
}
userErrors {
field
message
}
}
}
const transfer = await stateset.inventory.transfer({
inventory_item_id: 'inv_abc123',
quantity: 50,
from_warehouse_id: 'wh_east_01',
from_location_id: 'loc_a1_shelf_3',
to_warehouse_id: 'wh_west_01',
to_location_id: 'loc_b2_shelf_1',
transfer_reason: 'rebalancing',
priority: 'standard',
expected_arrival: '2024-01-20'
});
transfer = stateset.inventory.transfer({
'inventory_item_id': 'inv_abc123',
'quantity': 50,
'from_warehouse_id': 'wh_east_01',
'from_location_id': 'loc_a1_shelf_3',
'to_warehouse_id': 'wh_west_01',
'to_location_id': 'loc_b2_shelf_1',
'transfer_reason': 'rebalancing',
'priority': 'standard',
'expected_arrival': '2024-01-20'
})
transfer = Stateset::Inventory.transfer({
inventory_item_id: 'inv_abc123',
quantity: 50,
from_warehouse_id: 'wh_east_01',
from_location_id: 'loc_a1_shelf_3',
to_warehouse_id: 'wh_west_01',
to_location_id: 'loc_b2_shelf_1',
transfer_reason: 'rebalancing',
priority: 'standard',
expected_arrival: '2024-01-20'
})
transfer, err := stateset.Inventory.transfer({
InventoryItemID: 'inv_abc123',
Quantity: 50,
FromWarehouseID: 'wh_east_01',
FromLocationID: 'loc_a1_shelf_3',
ToWarehouseID: 'wh_west_01',
ToLocationID: 'loc_b2_shelf_1',
TransferReason: 'rebalancing',
Priority: 'standard',
ExpectedArrival: '2024-01-20'
})
InventoryTransfer transfer = stateset.inventory.transfer({
inventoryItemId: 'inv_abc123',
quantity: 50,
fromWarehouseId: 'wh_east_01',
fromLocationId: 'loc_a1_shelf_3',
toWarehouseId: 'wh_west_01',
toLocationId: 'loc_b2_shelf_1',
transferReason: 'rebalancing',
priority: 'standard',
expectedArrival: '2024-01-20'
});
$transfer = $stateset->inventory->transfer([
'inventory_item_id' => 'inv_abc123',
'quantity' => 50,
'from_warehouse_id' => 'wh_east_01',
'from_location_id' => 'loc_a1_shelf_3',
'to_warehouse_id' => 'wh_west_01',
'to_location_id' => 'loc_b2_shelf_1',
'transfer_reason' => 'rebalancing',
'priority' => 'standard',
'expected_arrival' => '2024-01-20'
]);
var transfer = await stateset.Inventory.Transfer(new {
InventoryItemId = 'inv_abc123',
Quantity = 50,
FromWarehouseId = 'wh_east_01',
FromLocationId = 'loc_a1_shelf_3',
ToWarehouseId = 'wh_west_01',
ToLocationId = 'loc_b2_shelf_1',
TransferReason = 'rebalancing',
Priority = 'standard',
ExpectedArrival = '2024-01-20'
});
{
"id": "trans_xyz456",
"transfer_number": "TRF-2024-0001",
"inventory_item_id": "inv_abc123",
"quantity": 50,
"from_warehouse": {
"id": "wh_east_01",
"name": "East Coast Warehouse",
"location_id": "loc_a1_shelf_3"
},
"to_warehouse": {
"id": "wh_west_01",
"name": "West Coast Warehouse",
"location_id": "loc_b2_shelf_1"
},
"transfer_reason": "rebalancing",
"priority": "standard",
"status": "in_transit",
"expected_arrival": "2024-01-20",
"created_at": "2024-01-15T10:00:00Z",
"created_by": "user_123",
"success": true
}
{
"error": {
"code": "insufficient_inventory",
"message": "Not enough inventory available for transfer. Available: 30, Requested: 50",
"details": {
"available_quantity": 30,
"requested_quantity": 50,
"warehouse_id": "wh_east_01"
}
}
}
Transfer Inventory
This endpoint transfers inventory between warehouses or locations.
POST
/
v1
/
inventory_items
/
:id
/
transfer
curl --location --request POST 'https://api.stateset.com/v1/inventory_items/:id/transfer' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"inventory_item_id": "inv_abc123",
"quantity": 50,
"from_warehouse_id": "wh_east_01",
"from_location_id": "loc_a1_shelf_3",
"to_warehouse_id": "wh_west_01",
"to_location_id": "loc_b2_shelf_1",
"transfer_reason": "rebalancing",
"priority": "standard",
"expected_arrival": "2024-01-20"
}'
mutation inventoryTransferMutation {
inventoryTransfer(
inventoryItemId: "${inventoryItemId}",
quantity: ${quantity},
fromWarehouseId: "${fromWarehouseId}",
fromLocationId: "${fromLocationId}",
toWarehouseId: "${toWarehouseId}",
toLocationId: "${toLocationId}",
transferReason: "${transferReason}",
priority: "${priority}",
expectedArrival: "${expectedArrival}"
) {
transfer {
id
transfer_number
quantity
status
from_warehouse {
id
name
}
to_warehouse {
id
name
}
}
userErrors {
field
message
}
}
}
const transfer = await stateset.inventory.transfer({
inventory_item_id: 'inv_abc123',
quantity: 50,
from_warehouse_id: 'wh_east_01',
from_location_id: 'loc_a1_shelf_3',
to_warehouse_id: 'wh_west_01',
to_location_id: 'loc_b2_shelf_1',
transfer_reason: 'rebalancing',
priority: 'standard',
expected_arrival: '2024-01-20'
});
transfer = stateset.inventory.transfer({
'inventory_item_id': 'inv_abc123',
'quantity': 50,
'from_warehouse_id': 'wh_east_01',
'from_location_id': 'loc_a1_shelf_3',
'to_warehouse_id': 'wh_west_01',
'to_location_id': 'loc_b2_shelf_1',
'transfer_reason': 'rebalancing',
'priority': 'standard',
'expected_arrival': '2024-01-20'
})
transfer = Stateset::Inventory.transfer({
inventory_item_id: 'inv_abc123',
quantity: 50,
from_warehouse_id: 'wh_east_01',
from_location_id: 'loc_a1_shelf_3',
to_warehouse_id: 'wh_west_01',
to_location_id: 'loc_b2_shelf_1',
transfer_reason: 'rebalancing',
priority: 'standard',
expected_arrival: '2024-01-20'
})
transfer, err := stateset.Inventory.transfer({
InventoryItemID: 'inv_abc123',
Quantity: 50,
FromWarehouseID: 'wh_east_01',
FromLocationID: 'loc_a1_shelf_3',
ToWarehouseID: 'wh_west_01',
ToLocationID: 'loc_b2_shelf_1',
TransferReason: 'rebalancing',
Priority: 'standard',
ExpectedArrival: '2024-01-20'
})
InventoryTransfer transfer = stateset.inventory.transfer({
inventoryItemId: 'inv_abc123',
quantity: 50,
fromWarehouseId: 'wh_east_01',
fromLocationId: 'loc_a1_shelf_3',
toWarehouseId: 'wh_west_01',
toLocationId: 'loc_b2_shelf_1',
transferReason: 'rebalancing',
priority: 'standard',
expectedArrival: '2024-01-20'
});
$transfer = $stateset->inventory->transfer([
'inventory_item_id' => 'inv_abc123',
'quantity' => 50,
'from_warehouse_id' => 'wh_east_01',
'from_location_id' => 'loc_a1_shelf_3',
'to_warehouse_id' => 'wh_west_01',
'to_location_id' => 'loc_b2_shelf_1',
'transfer_reason' => 'rebalancing',
'priority' => 'standard',
'expected_arrival' => '2024-01-20'
]);
var transfer = await stateset.Inventory.Transfer(new {
InventoryItemId = 'inv_abc123',
Quantity = 50,
FromWarehouseId = 'wh_east_01',
FromLocationId = 'loc_a1_shelf_3',
ToWarehouseId = 'wh_west_01',
ToLocationId = 'loc_b2_shelf_1',
TransferReason = 'rebalancing',
Priority = 'standard',
ExpectedArrival = '2024-01-20'
});
{
"id": "trans_xyz456",
"transfer_number": "TRF-2024-0001",
"inventory_item_id": "inv_abc123",
"quantity": 50,
"from_warehouse": {
"id": "wh_east_01",
"name": "East Coast Warehouse",
"location_id": "loc_a1_shelf_3"
},
"to_warehouse": {
"id": "wh_west_01",
"name": "West Coast Warehouse",
"location_id": "loc_b2_shelf_1"
},
"transfer_reason": "rebalancing",
"priority": "standard",
"status": "in_transit",
"expected_arrival": "2024-01-20",
"created_at": "2024-01-15T10:00:00Z",
"created_by": "user_123",
"success": true
}
{
"error": {
"code": "insufficient_inventory",
"message": "Not enough inventory available for transfer. Available: 30, Requested: 50",
"details": {
"available_quantity": 30,
"requested_quantity": 50,
"warehouse_id": "wh_east_01"
}
}
}
Body
string
The unique identifier of the inventory item to transfer
number
The quantity to transfer
string
The source warehouse ID
string
The source location within the warehouse
string
The destination warehouse ID
string
The destination location within the warehouse
string
The reason for the transfer (e.g., “rebalancing”, “fulfillment”, “returns_processing”)
string
Transfer priority (e.g., “standard”, “expedited”, “urgent”)
string
Expected arrival date at destination
Response
string
The unique identifier of the transfer record
string
The system-generated transfer number for tracking
string
The inventory item being transferred
number
The quantity being transferred
object
object
string
Transfer status (e.g., “pending”, “in_transit”, “completed”, “cancelled”)
string
Timestamp when the transfer was created
boolean
Indicates whether the transfer was initiated successfully
curl --location --request POST 'https://api.stateset.com/v1/inventory_items/:id/transfer' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"inventory_item_id": "inv_abc123",
"quantity": 50,
"from_warehouse_id": "wh_east_01",
"from_location_id": "loc_a1_shelf_3",
"to_warehouse_id": "wh_west_01",
"to_location_id": "loc_b2_shelf_1",
"transfer_reason": "rebalancing",
"priority": "standard",
"expected_arrival": "2024-01-20"
}'
mutation inventoryTransferMutation {
inventoryTransfer(
inventoryItemId: "${inventoryItemId}",
quantity: ${quantity},
fromWarehouseId: "${fromWarehouseId}",
fromLocationId: "${fromLocationId}",
toWarehouseId: "${toWarehouseId}",
toLocationId: "${toLocationId}",
transferReason: "${transferReason}",
priority: "${priority}",
expectedArrival: "${expectedArrival}"
) {
transfer {
id
transfer_number
quantity
status
from_warehouse {
id
name
}
to_warehouse {
id
name
}
}
userErrors {
field
message
}
}
}
const transfer = await stateset.inventory.transfer({
inventory_item_id: 'inv_abc123',
quantity: 50,
from_warehouse_id: 'wh_east_01',
from_location_id: 'loc_a1_shelf_3',
to_warehouse_id: 'wh_west_01',
to_location_id: 'loc_b2_shelf_1',
transfer_reason: 'rebalancing',
priority: 'standard',
expected_arrival: '2024-01-20'
});
transfer = stateset.inventory.transfer({
'inventory_item_id': 'inv_abc123',
'quantity': 50,
'from_warehouse_id': 'wh_east_01',
'from_location_id': 'loc_a1_shelf_3',
'to_warehouse_id': 'wh_west_01',
'to_location_id': 'loc_b2_shelf_1',
'transfer_reason': 'rebalancing',
'priority': 'standard',
'expected_arrival': '2024-01-20'
})
transfer = Stateset::Inventory.transfer({
inventory_item_id: 'inv_abc123',
quantity: 50,
from_warehouse_id: 'wh_east_01',
from_location_id: 'loc_a1_shelf_3',
to_warehouse_id: 'wh_west_01',
to_location_id: 'loc_b2_shelf_1',
transfer_reason: 'rebalancing',
priority: 'standard',
expected_arrival: '2024-01-20'
})
transfer, err := stateset.Inventory.transfer({
InventoryItemID: 'inv_abc123',
Quantity: 50,
FromWarehouseID: 'wh_east_01',
FromLocationID: 'loc_a1_shelf_3',
ToWarehouseID: 'wh_west_01',
ToLocationID: 'loc_b2_shelf_1',
TransferReason: 'rebalancing',
Priority: 'standard',
ExpectedArrival: '2024-01-20'
})
InventoryTransfer transfer = stateset.inventory.transfer({
inventoryItemId: 'inv_abc123',
quantity: 50,
fromWarehouseId: 'wh_east_01',
fromLocationId: 'loc_a1_shelf_3',
toWarehouseId: 'wh_west_01',
toLocationId: 'loc_b2_shelf_1',
transferReason: 'rebalancing',
priority: 'standard',
expectedArrival: '2024-01-20'
});
$transfer = $stateset->inventory->transfer([
'inventory_item_id' => 'inv_abc123',
'quantity' => 50,
'from_warehouse_id' => 'wh_east_01',
'from_location_id' => 'loc_a1_shelf_3',
'to_warehouse_id' => 'wh_west_01',
'to_location_id' => 'loc_b2_shelf_1',
'transfer_reason' => 'rebalancing',
'priority' => 'standard',
'expected_arrival' => '2024-01-20'
]);
var transfer = await stateset.Inventory.Transfer(new {
InventoryItemId = 'inv_abc123',
Quantity = 50,
FromWarehouseId = 'wh_east_01',
FromLocationId = 'loc_a1_shelf_3',
ToWarehouseId = 'wh_west_01',
ToLocationId = 'loc_b2_shelf_1',
TransferReason = 'rebalancing',
Priority = 'standard',
ExpectedArrival = '2024-01-20'
});
{
"id": "trans_xyz456",
"transfer_number": "TRF-2024-0001",
"inventory_item_id": "inv_abc123",
"quantity": 50,
"from_warehouse": {
"id": "wh_east_01",
"name": "East Coast Warehouse",
"location_id": "loc_a1_shelf_3"
},
"to_warehouse": {
"id": "wh_west_01",
"name": "West Coast Warehouse",
"location_id": "loc_b2_shelf_1"
},
"transfer_reason": "rebalancing",
"priority": "standard",
"status": "in_transit",
"expected_arrival": "2024-01-20",
"created_at": "2024-01-15T10:00:00Z",
"created_by": "user_123",
"success": true
}
{
"error": {
"code": "insufficient_inventory",
"message": "Not enough inventory available for transfer. Available: 30, Requested: 50",
"details": {
"available_quantity": 30,
"requested_quantity": 50,
"warehouse_id": "wh_east_01"
}
}
}
⌘I